<script lang="ts">
  import { onMount } from "svelte";
  import {
    sessionStore,
    todayFocusStore
  } from "$lib/local/stores/session.store";
  import StreakView from "$lib/local/components/topBar/StreakView.svelte";
  import AgeTimer from "$lib/local/components/topBar/AgeTimer.svelte";
  import { userPreferences } from "$lib/tidy/stores/app.store";
  import { userLocalPreferences } from "$lib/local/stores/local.store";
  import { TimerMode } from "$lib/local/types/timerMode.enum";
  import LeftNav from "$lib/tidy/layout/leftPanel/LeftNav.svelte";
  import ProfileLeftPanelSection from "$lib/tidy/components/settings/account/ProfileLeftPanelSection.svelte";

  onMount(() => {
    bootup();
    return () => {
      sessionStore.clearIntervals();
    };
  });

  function bootup() {
    // if ($userLocalPreferences?.timerMode == undefined) {
    //   $userLocalPreferences.timerMode = TimerMode.MINIMAL;
    // }
  }
</script>

<LeftNav>
  <slot name="header" slot="header">
    <div class="flex flex-col w-full justify-center items-center gap-4">
      <ProfileLeftPanelSection />
    </div>
  </slot>
  <!-- <div slot="header" class="flex flex-col gap-1 items-center">
    <div class="text-title">
      {$userPreferences.nickName ?? ""}
    </div>
    {#if $userLocalPreferences.isEnableAgeCounter}
      <AgeTimer />
    {/if}
  </div> -->
</LeftNav>
